#!/usr/bin/env python
# *-* coding: utf-8 *-*

import os

from setuptools import setup, find_packages
from distutils.command.build import build
build.sub_commands.insert(0, ('compile_catalog', None))

here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, 'README.md')).read()
CHANGES = open(os.path.join(here, 'CHANGES.txt')).read()

requires = [
    'pyramid',
    'SQLAlchemy',
    'transaction',
    'pyramid_tm',
#    'pyramid_debugtoolbar',
    'pyramid_helpers',
    'zope.sqlalchemy',
    'waitress',
]

setup(
    name='cc-metrics',
    version='2.0a1',
    description='cc-metrics',
    long_description=README + '\n\n' + CHANGES,
    classifiers=[
        "Programming Language :: Python",
        "Framework :: Pyramid",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
    ],
    author='Cyril Lacoux',
    author_email='clacoux@easter-eggs.com',
    url='https://gitlab.easter-eggs.com/ee/cc-metrics',
    keywords='web wsgi bfg pylons pyramid',
    packages=find_packages(),
    include_package_data=True,
    zip_safe=False,
    install_requires=requires,
    entry_points="""\
    [paste.app_factory]
    main = ccmetrics:main
    [console_scripts]
    initialize_cc-metrics_db = ccmetrics.scripts.initializedb:main
    """,
    message_extractors = {
        'ccmetrics': [
            ('**.py', 'python', None),
            ('templates/**.mako', 'mako', None),
            ('static/js/**.js', 'javascript', None),
            ('static/**', 'ignore', None)
        ]
    },
)
